using System;
using System.ComponentModel;
using System.Configuration;
using System.Drawing;
using System.Windows.Forms;

namespace ControlApp;

public class Options : Form
{
	private IContainer components;

	private Button SvExit;

	private TabPage tabPage1;

	private Panel panel10;

	private Panel panel6;

	private RadioButton ymove;

	private RadioButton nmove;

	private Panel panel5;

	private RadioButton seethr;

	private RadioButton nseethr;

	private Panel panel11;

	private RadioButton clkbl;

	private RadioButton clickthr;

	private RadioButton normlbtn;

	private Label label11;

	private Panel panel4;

	private CheckBox webcnt;

	private Label label5;

	private CheckBox showblocked;

	private Panel panel3;

	private RadioButton parallelrd;

	private RadioButton serialrd;

	private Label label4;

	private Panel panel2;

	private RadioButton fitsc;

	private RadioButton stret;

	private Label label3;

	private Panel panel1;

	private CheckBox dismch;

	private CheckBox ttsch;

	private CheckBox webcamch;

	private CheckBox outstandch;

	private CheckBox senddelch;

	private CheckBox watch4mech;

	private CheckBox twitch;

	private CheckBox screenshch;

	private CheckBox wrich;

	private CheckBox audioch;

	private CheckBox sublimch;

	private CheckBox messch;

	private CheckBox popch;

	private Label label2;

	private CheckBox opwebch;

	private CheckBox runch;

	private CheckBox wallpch;

	private CheckBox dlch;

	private Panel Popups;

	private RadioButton longpop;

	private RadioButton shortpop;

	private Label label1;

	private TabControl tabControl1;

	private CheckBox fullscchk;

	public Options()
	{
		InitializeComponent();
	}

	private void SvExit_Click(object sender, EventArgs e)
	{
		Configuration configuration = ConfigurationManager.OpenExeConfiguration(ConfigurationUserLevel.None);
		KeyValueConfigurationCollection apps = configuration.AppSettings.Settings;
		apps.Remove("Downloads");
		apps.Remove("Wallpapers");
		apps.Remove("Runables");
		apps.Remove("OpenWeb");
		apps.Remove("PopUps");
		apps.Remove("Messages");
		apps.Remove("Subliminals");
		apps.Remove("PopSet");
		apps.Remove("Audios");
		apps.Remove("Writeformes");
		apps.Remove("Screenshots");
		apps.Remove("Watch4me");
		apps.Remove("twitter");
		apps.Remove("PaperStyle");
		apps.Remove("Popstyle");
		apps.Remove("SendDelete");
		apps.Remove("OutstandRemind");
		apps.Remove("PopType");
		apps.Remove("Showblocked");
		apps.Remove("Webcam");
		apps.Remove("TTS");
		apps.Remove("DisM");
		apps.Remove("WebCnt");
		if (showblocked.Checked)
		{
			apps.Add("Showblocked", "True");
		}
		else
		{
			apps.Add("Showblocked", "False");
		}
		string poptypestr = "";
		if (nseethr.Checked)
		{
			poptypestr = "n";
		}
		else if (seethr.Checked)
		{
			poptypestr = "s";
		}
		if (clickthr.Checked)
		{
			poptypestr += "t";
		}
		else if (clkbl.Checked)
		{
			poptypestr += "c";
		}
		else if (normlbtn.Checked)
		{
			poptypestr += "n";
		}
		if (nmove.Checked)
		{
			poptypestr += "n";
		}
		else if (ymove.Checked)
		{
			poptypestr += "m";
		}
		poptypestr = ((!fullscchk.Checked) ? (poptypestr + "n") : (poptypestr + "f"));
		apps.Add("PopType", poptypestr);
		string OutstandRemind = outstandch.Checked.ToString();
		apps.Add("OutstandRemind", OutstandRemind);
		if (serialrd.Checked)
		{
			apps.Add("Popstyle", "Serial");
		}
		else
		{
			apps.Add("Popstyle", "Parallel");
		}
		if (stret.Checked)
		{
			apps.Add("PaperStyle", "Stretch");
		}
		else
		{
			apps.Add("PaperStyle", "Fit");
		}
		string senddel = senddelch.Checked.ToString();
		apps.Add("SendDelete", senddel);
		string twitter = twitch.Checked.ToString();
		apps.Add("twitter", twitter);
		string Watch4me = watch4mech.Checked.ToString();
		apps.Add("Watch4me", Watch4me);
		string Screenshots = screenshch.Checked.ToString();
		apps.Add("Screenshots", Screenshots);
		string Audios = audioch.Checked.ToString();
		apps.Add("Audios", Audios);
		string Writeformes = wrich.Checked.ToString();
		apps.Add("Writeformes", Writeformes);
		string downloads = dlch.Checked.ToString();
		apps.Add("Downloads", downloads);
		string wallp = wallpch.Checked.ToString();
		apps.Add("Wallpapers", wallp);
		string runn = runch.Checked.ToString();
		apps.Add("Runables", runn);
		string webb = opwebch.Checked.ToString();
		apps.Add("OpenWeb", webb);
		string pops = popch.Checked.ToString();
		apps.Add("PopUps", pops);
		string messes = messch.Checked.ToString();
		apps.Add("Messages", messes);
		string sublims = sublimch.Checked.ToString();
		apps.Add("Subliminals", sublims);
		string webc = webcamch.Checked.ToString();
		apps.Add("Webcam", webc);
		string tts = ttsch.Checked.ToString();
		apps.Add("TTS", tts);
		string dism = dismch.Checked.ToString();
		apps.Add("DisM", dism);
		if (longpop.Checked)
		{
			apps.Add("PopSet", "Long");
		}
		else
		{
			apps.Add("PopSet", "Short");
		}
		webcnt.Checked.ToString();
		apps.Add("WebCnt", dism);
		configuration.Save(ConfigurationSaveMode.Full);
		ConfigurationManager.RefreshSection(configuration.AppSettings.SectionInformation.Name);
		Close();
	}

	private void Options_Load(object sender, EventArgs e)
	{
		string style = "Fit";
		string popstyle = "Serial";
		if (ConfigurationManager.AppSettings["PopStyle"] != null)
		{
			popstyle = ConfigurationManager.AppSettings["PopStyle"].ToString();
		}
		if (popstyle == "Serial")
		{
			serialrd.Checked = true;
			parallelrd.Checked = false;
		}
		else
		{
			serialrd.Checked = false;
			parallelrd.Checked = true;
		}
		if (ConfigurationManager.AppSettings["PaperStyle"] != null)
		{
			style = ConfigurationManager.AppSettings["PaperStyle"].ToString();
		}
		if (style == "Fit")
		{
			fitsc.Checked = true;
			stret.Checked = false;
		}
		else
		{
			fitsc.Checked = false;
			stret.Checked = true;
		}
		string poptypestr = "nnnn";
		if (ConfigurationManager.AppSettings["PopType"] != null)
		{
			poptypestr = ConfigurationManager.AppSettings["PopType"];
		}
		char[] poptypearr = poptypestr.ToCharArray();
		if (poptypearr[0] == 'n')
		{
			nseethr.Checked = true;
		}
		else if (poptypearr[0] == 's')
		{
			seethr.Checked = true;
		}
		if (poptypearr[1] == 't')
		{
			clickthr.Checked = true;
		}
		else if (poptypearr[1] == 'c')
		{
			clkbl.Checked = true;
		}
		else if (poptypearr[1] == 'n')
		{
			normlbtn.Checked = true;
		}
		if (poptypearr[2] == 'n')
		{
			nmove.Checked = true;
		}
		else if (poptypearr[2] == 'm')
		{
			ymove.Checked = true;
		}
		if (poptypearr[3] == 'f')
		{
			fullscchk.Checked = true;
		}
		else
		{
			fullscchk.Checked = false;
		}
		if (ConfigurationManager.AppSettings["Showblocked"] == "True")
		{
			showblocked.Checked = true;
		}
		else
		{
			showblocked.Checked = false;
		}
		string pop = "Short";
		if (ConfigurationManager.AppSettings["PopSet"] != null)
		{
			pop = ConfigurationManager.AppSettings["PopSet"].ToString();
		}
		if (pop == "Long")
		{
			longpop.Checked = true;
			shortpop.Checked = false;
		}
		else
		{
			longpop.Checked = false;
			shortpop.Checked = true;
		}
		if (ConfigurationManager.AppSettings["OutstandRemind"] != null)
		{
			string OutstandRemind = ConfigurationManager.AppSettings["OutstandRemind"].ToString();
			outstandch.Checked = Convert.ToBoolean(OutstandRemind);
		}
		if (ConfigurationManager.AppSettings["SendDelete"] != null)
		{
			string SendDelete = ConfigurationManager.AppSettings["SendDelete"].ToString();
			senddelch.Checked = Convert.ToBoolean(SendDelete);
		}
		if (ConfigurationManager.AppSettings["WebCnt"] != null)
		{
			string WebCnt = ConfigurationManager.AppSettings["WebCnt"].ToString();
			webcnt.Checked = Convert.ToBoolean(WebCnt);
		}
		if (ConfigurationManager.AppSettings["twitter"] != null)
		{
			string twitter = ConfigurationManager.AppSettings["twitter"].ToString();
			twitch.Checked = Convert.ToBoolean(twitter);
		}
		if (ConfigurationManager.AppSettings["Watch4me"] != null)
		{
			string Watch4me = ConfigurationManager.AppSettings["Watch4me"].ToString();
			watch4mech.Checked = Convert.ToBoolean(Watch4me);
		}
		if (ConfigurationManager.AppSettings["Audios"] != null)
		{
			string Audios = ConfigurationManager.AppSettings["Audios"].ToString();
			audioch.Checked = Convert.ToBoolean(Audios);
		}
		if (ConfigurationManager.AppSettings["Writeformes"] != null)
		{
			string Writeformes = ConfigurationManager.AppSettings["Writeformes"].ToString();
			wrich.Checked = Convert.ToBoolean(Writeformes);
		}
		if (ConfigurationManager.AppSettings["Downloads"] != null)
		{
			string downloads = ConfigurationManager.AppSettings["Downloads"].ToString();
			dlch.Checked = Convert.ToBoolean(downloads);
		}
		if (ConfigurationManager.AppSettings["Wallpapers"] != null)
		{
			string wallp = ConfigurationManager.AppSettings["Wallpapers"].ToString();
			wallpch.Checked = Convert.ToBoolean(wallp);
		}
		if (ConfigurationManager.AppSettings["Runables"] != null)
		{
			string runn = ConfigurationManager.AppSettings["Runables"].ToString();
			runch.Checked = Convert.ToBoolean(runn);
		}
		if (ConfigurationManager.AppSettings["ScreenShots"] != null)
		{
			string scre = ConfigurationManager.AppSettings["ScreenShots"].ToString();
			screenshch.Checked = Convert.ToBoolean(scre);
		}
		if (ConfigurationManager.AppSettings["OpenWeb"] != null)
		{
			string webb = ConfigurationManager.AppSettings["OpenWeb"].ToString();
			opwebch.Checked = Convert.ToBoolean(webb);
		}
		if (ConfigurationManager.AppSettings["PopUps"] != null)
		{
			string pops = ConfigurationManager.AppSettings["PopUps"].ToString();
			popch.Checked = Convert.ToBoolean(pops);
		}
		if (ConfigurationManager.AppSettings["Messages"] != null)
		{
			string messes = ConfigurationManager.AppSettings["Messages"].ToString();
			messch.Checked = Convert.ToBoolean(messes);
		}
		if (ConfigurationManager.AppSettings["Subliminals"] != null)
		{
			string sublims = ConfigurationManager.AppSettings["Subliminals"].ToString();
			sublimch.Checked = Convert.ToBoolean(sublims);
		}
		if (ConfigurationManager.AppSettings["Webcam"] != null)
		{
			string Webcam = ConfigurationManager.AppSettings["Webcam"].ToString();
			webcamch.Checked = Convert.ToBoolean(Webcam);
		}
		if (ConfigurationManager.AppSettings["TTS"] != null)
		{
			string TTS = ConfigurationManager.AppSettings["TTS"].ToString();
			ttsch.Checked = Convert.ToBoolean(TTS);
		}
		if (ConfigurationManager.AppSettings["DisM"] != null)
		{
			string dism = ConfigurationManager.AppSettings["DisM"].ToString();
			dismch.Checked = Convert.ToBoolean(dism);
		}
	}

	private void tabPage1_Click(object sender, EventArgs e)
	{
	}

	private void webcamch_CheckedChanged(object sender, EventArgs e)
	{
	}

	private void fullscchk_CheckedChanged(object sender, EventArgs e)
	{
		if (fullscchk.Checked)
		{
			serialrd.Checked = true;
		}
	}

	private void parallelrd_CheckedChanged(object sender, EventArgs e)
	{
		if (parallelrd.Checked)
		{
			fullscchk.Checked = false;
		}
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		base.Dispose(disposing);
	}

	private void InitializeComponent()
	{
		this.SvExit = new System.Windows.Forms.Button();
		this.tabPage1 = new System.Windows.Forms.TabPage();
		this.panel10 = new System.Windows.Forms.Panel();
		this.fullscchk = new System.Windows.Forms.CheckBox();
		this.panel6 = new System.Windows.Forms.Panel();
		this.ymove = new System.Windows.Forms.RadioButton();
		this.nmove = new System.Windows.Forms.RadioButton();
		this.panel5 = new System.Windows.Forms.Panel();
		this.seethr = new System.Windows.Forms.RadioButton();
		this.nseethr = new System.Windows.Forms.RadioButton();
		this.panel11 = new System.Windows.Forms.Panel();
		this.clkbl = new System.Windows.Forms.RadioButton();
		this.clickthr = new System.Windows.Forms.RadioButton();
		this.normlbtn = new System.Windows.Forms.RadioButton();
		this.label11 = new System.Windows.Forms.Label();
		this.panel4 = new System.Windows.Forms.Panel();
		this.webcnt = new System.Windows.Forms.CheckBox();
		this.label5 = new System.Windows.Forms.Label();
		this.showblocked = new System.Windows.Forms.CheckBox();
		this.panel3 = new System.Windows.Forms.Panel();
		this.parallelrd = new System.Windows.Forms.RadioButton();
		this.serialrd = new System.Windows.Forms.RadioButton();
		this.label4 = new System.Windows.Forms.Label();
		this.panel2 = new System.Windows.Forms.Panel();
		this.fitsc = new System.Windows.Forms.RadioButton();
		this.stret = new System.Windows.Forms.RadioButton();
		this.label3 = new System.Windows.Forms.Label();
		this.panel1 = new System.Windows.Forms.Panel();
		this.dismch = new System.Windows.Forms.CheckBox();
		this.ttsch = new System.Windows.Forms.CheckBox();
		this.webcamch = new System.Windows.Forms.CheckBox();
		this.outstandch = new System.Windows.Forms.CheckBox();
		this.senddelch = new System.Windows.Forms.CheckBox();
		this.watch4mech = new System.Windows.Forms.CheckBox();
		this.twitch = new System.Windows.Forms.CheckBox();
		this.screenshch = new System.Windows.Forms.CheckBox();
		this.wrich = new System.Windows.Forms.CheckBox();
		this.audioch = new System.Windows.Forms.CheckBox();
		this.sublimch = new System.Windows.Forms.CheckBox();
		this.messch = new System.Windows.Forms.CheckBox();
		this.popch = new System.Windows.Forms.CheckBox();
		this.label2 = new System.Windows.Forms.Label();
		this.opwebch = new System.Windows.Forms.CheckBox();
		this.runch = new System.Windows.Forms.CheckBox();
		this.wallpch = new System.Windows.Forms.CheckBox();
		this.dlch = new System.Windows.Forms.CheckBox();
		this.Popups = new System.Windows.Forms.Panel();
		this.longpop = new System.Windows.Forms.RadioButton();
		this.shortpop = new System.Windows.Forms.RadioButton();
		this.label1 = new System.Windows.Forms.Label();
		this.tabControl1 = new System.Windows.Forms.TabControl();
		this.tabPage1.SuspendLayout();
		this.panel10.SuspendLayout();
		this.panel6.SuspendLayout();
		this.panel5.SuspendLayout();
		this.panel11.SuspendLayout();
		this.panel4.SuspendLayout();
		this.panel3.SuspendLayout();
		this.panel2.SuspendLayout();
		this.panel1.SuspendLayout();
		this.Popups.SuspendLayout();
		this.tabControl1.SuspendLayout();
		base.SuspendLayout();
		this.SvExit.Location = new System.Drawing.Point(319, 477);
		this.SvExit.Name = "SvExit";
		this.SvExit.Size = new System.Drawing.Size(81, 23);
		this.SvExit.TabIndex = 1;
		this.SvExit.Text = "Save & Exit ";
		this.SvExit.UseVisualStyleBackColor = true;
		this.SvExit.Click += new System.EventHandler(SvExit_Click);
		this.tabPage1.Controls.Add(this.panel10);
		this.tabPage1.Controls.Add(this.panel4);
		this.tabPage1.Controls.Add(this.panel3);
		this.tabPage1.Controls.Add(this.panel2);
		this.tabPage1.Controls.Add(this.panel1);
		this.tabPage1.Controls.Add(this.Popups);
		this.tabPage1.Location = new System.Drawing.Point(4, 24);
		this.tabPage1.Name = "tabPage1";
		this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
		this.tabPage1.Size = new System.Drawing.Size(685, 431);
		this.tabPage1.TabIndex = 0;
		this.tabPage1.Text = "General";
		this.tabPage1.UseVisualStyleBackColor = true;
		this.tabPage1.Click += new System.EventHandler(tabPage1_Click);
		this.panel10.Controls.Add(this.fullscchk);
		this.panel10.Controls.Add(this.panel6);
		this.panel10.Controls.Add(this.panel5);
		this.panel10.Controls.Add(this.panel11);
		this.panel10.Controls.Add(this.label11);
		this.panel10.Location = new System.Drawing.Point(346, 91);
		this.panel10.Name = "panel10";
		this.panel10.Size = new System.Drawing.Size(334, 208);
		this.panel10.TabIndex = 30;
		this.fullscchk.AutoSize = true;
		this.fullscchk.Location = new System.Drawing.Point(159, 108);
		this.fullscchk.Name = "fullscchk";
		this.fullscchk.Size = new System.Drawing.Size(83, 19);
		this.fullscchk.TabIndex = 10;
		this.fullscchk.Text = "Full Screen";
		this.fullscchk.UseVisualStyleBackColor = true;
		this.fullscchk.CheckedChanged += new System.EventHandler(fullscchk_CheckedChanged);
		this.panel6.Controls.Add(this.ymove);
		this.panel6.Controls.Add(this.nmove);
		this.panel6.Location = new System.Drawing.Point(146, 26);
		this.panel6.Name = "panel6";
		this.panel6.Size = new System.Drawing.Size(119, 62);
		this.panel6.TabIndex = 9;
		this.ymove.AutoSize = true;
		this.ymove.Location = new System.Drawing.Point(13, 32);
		this.ymove.Name = "ymove";
		this.ymove.Size = new System.Drawing.Size(66, 19);
		this.ymove.TabIndex = 1;
		this.ymove.TabStop = true;
		this.ymove.Text = "Moving";
		this.ymove.UseVisualStyleBackColor = true;
		this.nmove.AutoSize = true;
		this.nmove.Location = new System.Drawing.Point(13, 7);
		this.nmove.Name = "nmove";
		this.nmove.Size = new System.Drawing.Size(72, 19);
		this.nmove.TabIndex = 6;
		this.nmove.TabStop = true;
		this.nmove.Text = "Standard";
		this.nmove.UseVisualStyleBackColor = true;
		this.panel5.Controls.Add(this.seethr);
		this.panel5.Controls.Add(this.nseethr);
		this.panel5.Location = new System.Drawing.Point(21, 115);
		this.panel5.Name = "panel5";
		this.panel5.Size = new System.Drawing.Size(119, 62);
		this.panel5.TabIndex = 8;
		this.seethr.AutoSize = true;
		this.seethr.Location = new System.Drawing.Point(13, 32);
		this.seethr.Name = "seethr";
		this.seethr.Size = new System.Drawing.Size(89, 19);
		this.seethr.TabIndex = 1;
		this.seethr.TabStop = true;
		this.seethr.Text = "See through";
		this.seethr.UseVisualStyleBackColor = true;
		this.nseethr.AutoSize = true;
		this.nseethr.Location = new System.Drawing.Point(13, 7);
		this.nseethr.Name = "nseethr";
		this.nseethr.Size = new System.Drawing.Size(72, 19);
		this.nseethr.TabIndex = 6;
		this.nseethr.TabStop = true;
		this.nseethr.Text = "Standard";
		this.nseethr.UseVisualStyleBackColor = true;
		this.panel11.Controls.Add(this.clkbl);
		this.panel11.Controls.Add(this.clickthr);
		this.panel11.Controls.Add(this.normlbtn);
		this.panel11.Location = new System.Drawing.Point(21, 26);
		this.panel11.Name = "panel11";
		this.panel11.Size = new System.Drawing.Size(119, 87);
		this.panel11.TabIndex = 7;
		this.clkbl.AutoSize = true;
		this.clkbl.Location = new System.Drawing.Point(13, 56);
		this.clkbl.Name = "clkbl";
		this.clkbl.Size = new System.Drawing.Size(73, 19);
		this.clkbl.TabIndex = 7;
		this.clkbl.TabStop = true;
		this.clkbl.Text = "Clickable";
		this.clkbl.UseVisualStyleBackColor = true;
		this.clickthr.AutoSize = true;
		this.clickthr.Location = new System.Drawing.Point(13, 32);
		this.clickthr.Name = "clickthr";
		this.clickthr.Size = new System.Drawing.Size(97, 19);
		this.clickthr.TabIndex = 1;
		this.clickthr.TabStop = true;
		this.clickthr.Text = "Click through";
		this.clickthr.UseVisualStyleBackColor = true;
		this.normlbtn.AutoSize = true;
		this.normlbtn.Location = new System.Drawing.Point(13, 7);
		this.normlbtn.Name = "normlbtn";
		this.normlbtn.Size = new System.Drawing.Size(72, 19);
		this.normlbtn.TabIndex = 6;
		this.normlbtn.TabStop = true;
		this.normlbtn.Text = "Standard";
		this.normlbtn.UseVisualStyleBackColor = true;
		this.label11.AutoSize = true;
		this.label11.Location = new System.Drawing.Point(3, 0);
		this.label11.Name = "label11";
		this.label11.Size = new System.Drawing.Size(74, 15);
		this.label11.TabIndex = 0;
		this.label11.Text = "Popups Type";
		this.panel4.Controls.Add(this.webcnt);
		this.panel4.Controls.Add(this.label5);
		this.panel4.Controls.Add(this.showblocked);
		this.panel4.Location = new System.Drawing.Point(346, 305);
		this.panel4.Name = "panel4";
		this.panel4.Size = new System.Drawing.Size(334, 114);
		this.panel4.TabIndex = 29;
		this.webcnt.AutoSize = true;
		this.webcnt.Location = new System.Drawing.Point(21, 35);
		this.webcnt.Name = "webcnt";
		this.webcnt.Size = new System.Drawing.Size(137, 19);
		this.webcnt.TabIndex = 22;
		this.webcnt.Text = "Webcam countdown";
		this.webcnt.UseVisualStyleBackColor = true;
		this.label5.AutoSize = true;
		this.label5.Location = new System.Drawing.Point(7, 0);
		this.label5.Name = "label5";
		this.label5.Size = new System.Drawing.Size(49, 15);
		this.label5.TabIndex = 21;
		this.label5.Text = "Options";
		this.showblocked.AutoSize = true;
		this.showblocked.Location = new System.Drawing.Point(21, 60);
		this.showblocked.Name = "showblocked";
		this.showblocked.Size = new System.Drawing.Size(126, 19);
		this.showblocked.TabIndex = 20;
		this.showblocked.Text = "Show blocked msg";
		this.showblocked.UseVisualStyleBackColor = true;
		this.panel3.Controls.Add(this.parallelrd);
		this.panel3.Controls.Add(this.serialrd);
		this.panel3.Controls.Add(this.label4);
		this.panel3.Location = new System.Drawing.Point(346, 6);
		this.panel3.Name = "panel3";
		this.panel3.Size = new System.Drawing.Size(334, 77);
		this.panel3.TabIndex = 27;
		this.parallelrd.AutoSize = true;
		this.parallelrd.Location = new System.Drawing.Point(21, 43);
		this.parallelrd.Name = "parallelrd";
		this.parallelrd.Size = new System.Drawing.Size(198, 19);
		this.parallelrd.TabIndex = 2;
		this.parallelrd.TabStop = true;
		this.parallelrd.Text = "All at once (may cause pc issues)";
		this.parallelrd.UseVisualStyleBackColor = true;
		this.parallelrd.CheckedChanged += new System.EventHandler(parallelrd_CheckedChanged);
		this.serialrd.AutoSize = true;
		this.serialrd.Location = new System.Drawing.Point(21, 18);
		this.serialrd.Name = "serialrd";
		this.serialrd.Size = new System.Drawing.Size(96, 19);
		this.serialrd.TabIndex = 1;
		this.serialrd.TabStop = true;
		this.serialrd.Text = "One at a time";
		this.serialrd.UseVisualStyleBackColor = true;
		this.label4.AutoSize = true;
		this.label4.Location = new System.Drawing.Point(3, 0);
		this.label4.Name = "label4";
		this.label4.Size = new System.Drawing.Size(47, 15);
		this.label4.TabIndex = 0;
		this.label4.Text = "Popups";
		this.panel2.Controls.Add(this.fitsc);
		this.panel2.Controls.Add(this.stret);
		this.panel2.Controls.Add(this.label3);
		this.panel2.Location = new System.Drawing.Point(6, 371);
		this.panel2.Name = "panel2";
		this.panel2.Size = new System.Drawing.Size(334, 48);
		this.panel2.TabIndex = 28;
		this.fitsc.AutoSize = true;
		this.fitsc.Location = new System.Drawing.Point(111, 18);
		this.fitsc.Name = "fitsc";
		this.fitsc.Size = new System.Drawing.Size(75, 19);
		this.fitsc.TabIndex = 2;
		this.fitsc.TabStop = true;
		this.fitsc.Text = "Fit screen";
		this.fitsc.UseVisualStyleBackColor = true;
		this.stret.AutoSize = true;
		this.stret.Location = new System.Drawing.Point(12, 18);
		this.stret.Name = "stret";
		this.stret.Size = new System.Drawing.Size(62, 19);
		this.stret.TabIndex = 1;
		this.stret.TabStop = true;
		this.stret.Text = "Stretch";
		this.stret.UseVisualStyleBackColor = true;
		this.label3.AutoSize = true;
		this.label3.Location = new System.Drawing.Point(3, 0);
		this.label3.Name = "label3";
		this.label3.Size = new System.Drawing.Size(60, 15);
		this.label3.TabIndex = 0;
		this.label3.Text = "Wallpaper";
		this.panel1.Controls.Add(this.dismch);
		this.panel1.Controls.Add(this.ttsch);
		this.panel1.Controls.Add(this.webcamch);
		this.panel1.Controls.Add(this.outstandch);
		this.panel1.Controls.Add(this.senddelch);
		this.panel1.Controls.Add(this.watch4mech);
		this.panel1.Controls.Add(this.twitch);
		this.panel1.Controls.Add(this.screenshch);
		this.panel1.Controls.Add(this.wrich);
		this.panel1.Controls.Add(this.audioch);
		this.panel1.Controls.Add(this.sublimch);
		this.panel1.Controls.Add(this.messch);
		this.panel1.Controls.Add(this.popch);
		this.panel1.Controls.Add(this.label2);
		this.panel1.Controls.Add(this.opwebch);
		this.panel1.Controls.Add(this.runch);
		this.panel1.Controls.Add(this.wallpch);
		this.panel1.Controls.Add(this.dlch);
		this.panel1.Location = new System.Drawing.Point(6, 89);
		this.panel1.Name = "panel1";
		this.panel1.Size = new System.Drawing.Size(334, 276);
		this.panel1.TabIndex = 26;
		this.dismch.AutoSize = true;
		this.dismch.Location = new System.Drawing.Point(122, 185);
		this.dismch.Name = "dismch";
		this.dismch.Size = new System.Drawing.Size(103, 19);
		this.dismch.TabIndex = 17;
		this.dismch.Text = "Disable Mouse";
		this.dismch.UseVisualStyleBackColor = true;
		this.ttsch.AutoSize = true;
		this.ttsch.Location = new System.Drawing.Point(122, 160);
		this.ttsch.Name = "ttsch";
		this.ttsch.Size = new System.Drawing.Size(44, 19);
		this.ttsch.TabIndex = 16;
		this.ttsch.Text = "TTS";
		this.ttsch.UseVisualStyleBackColor = true;
		this.webcamch.AutoSize = true;
		this.webcamch.Location = new System.Drawing.Point(122, 135);
		this.webcamch.Name = "webcamch";
		this.webcamch.Size = new System.Drawing.Size(73, 19);
		this.webcamch.TabIndex = 15;
		this.webcamch.Text = "Webcam";
		this.webcamch.UseVisualStyleBackColor = true;
		this.webcamch.CheckedChanged += new System.EventHandler(webcamch_CheckedChanged);
		this.outstandch.AutoSize = true;
		this.outstandch.Location = new System.Drawing.Point(122, 234);
		this.outstandch.Name = "outstandch";
		this.outstandch.Size = new System.Drawing.Size(143, 19);
		this.outstandch.TabIndex = 14;
		this.outstandch.Text = "Outstanding reminder";
		this.outstandch.UseVisualStyleBackColor = true;
		this.senddelch.AutoSize = true;
		this.senddelch.Location = new System.Drawing.Point(122, 110);
		this.senddelch.Name = "senddelch";
		this.senddelch.Size = new System.Drawing.Size(102, 19);
		this.senddelch.TabIndex = 13;
		this.senddelch.Text = "Send or Delete";
		this.senddelch.UseVisualStyleBackColor = true;
		this.watch4mech.AutoSize = true;
		this.watch4mech.Location = new System.Drawing.Point(122, 85);
		this.watch4mech.Name = "watch4mech";
		this.watch4mech.Size = new System.Drawing.Size(98, 19);
		this.watch4mech.TabIndex = 12;
		this.watch4mech.Text = "Watch for me";
		this.watch4mech.UseVisualStyleBackColor = true;
		this.twitch.AutoSize = true;
		this.twitch.Location = new System.Drawing.Point(122, 60);
		this.twitch.Name = "twitch";
		this.twitch.Size = new System.Drawing.Size(87, 19);
		this.twitch.TabIndex = 11;
		this.twitch.Text = "Twitter post";
		this.twitch.UseVisualStyleBackColor = true;
		this.screenshch.AutoSize = true;
		this.screenshch.Location = new System.Drawing.Point(122, 35);
		this.screenshch.Name = "screenshch";
		this.screenshch.Size = new System.Drawing.Size(92, 19);
		this.screenshch.TabIndex = 10;
		this.screenshch.Text = "Screen shots";
		this.screenshch.UseVisualStyleBackColor = true;
		this.wrich.AutoSize = true;
		this.wrich.Location = new System.Drawing.Point(12, 234);
		this.wrich.Name = "wrich";
		this.wrich.Size = new System.Drawing.Size(92, 19);
		this.wrich.TabIndex = 9;
		this.wrich.Text = "Write for me";
		this.wrich.UseVisualStyleBackColor = true;
		this.audioch.AutoSize = true;
		this.audioch.Location = new System.Drawing.Point(12, 209);
		this.audioch.Name = "audioch";
		this.audioch.Size = new System.Drawing.Size(58, 19);
		this.audioch.TabIndex = 8;
		this.audioch.Text = "Audio";
		this.audioch.UseVisualStyleBackColor = true;
		this.sublimch.AutoSize = true;
		this.sublimch.Location = new System.Drawing.Point(12, 185);
		this.sublimch.Name = "sublimch";
		this.sublimch.Size = new System.Drawing.Size(82, 19);
		this.sublimch.TabIndex = 7;
		this.sublimch.Text = "Subliminal";
		this.sublimch.UseVisualStyleBackColor = true;
		this.messch.AutoSize = true;
		this.messch.Location = new System.Drawing.Point(12, 160);
		this.messch.Name = "messch";
		this.messch.Size = new System.Drawing.Size(77, 19);
		this.messch.TabIndex = 6;
		this.messch.Text = "Messages";
		this.messch.UseVisualStyleBackColor = true;
		this.popch.AutoSize = true;
		this.popch.Location = new System.Drawing.Point(12, 135);
		this.popch.Name = "popch";
		this.popch.Size = new System.Drawing.Size(70, 19);
		this.popch.TabIndex = 5;
		this.popch.Text = "Pop Ups";
		this.popch.UseVisualStyleBackColor = true;
		this.label2.AutoSize = true;
		this.label2.Location = new System.Drawing.Point(12, 0);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(56, 15);
		this.label2.TabIndex = 4;
		this.label2.Text = "Dis-allow";
		this.opwebch.AutoSize = true;
		this.opwebch.Location = new System.Drawing.Point(12, 110);
		this.opwebch.Name = "opwebch";
		this.opwebch.Size = new System.Drawing.Size(100, 19);
		this.opwebch.TabIndex = 3;
		this.opwebch.Text = "Open Website";
		this.opwebch.UseVisualStyleBackColor = true;
		this.runch.AutoSize = true;
		this.runch.Location = new System.Drawing.Point(12, 85);
		this.runch.Name = "runch";
		this.runch.Size = new System.Drawing.Size(93, 19);
		this.runch.TabIndex = 2;
		this.runch.Text = "Runable files";
		this.runch.UseVisualStyleBackColor = true;
		this.wallpch.AutoSize = true;
		this.wallpch.Location = new System.Drawing.Point(12, 60);
		this.wallpch.Name = "wallpch";
		this.wallpch.Size = new System.Drawing.Size(79, 19);
		this.wallpch.TabIndex = 1;
		this.wallpch.Text = "Wallpaper";
		this.wallpch.UseVisualStyleBackColor = true;
		this.dlch.AutoSize = true;
		this.dlch.Location = new System.Drawing.Point(12, 35);
		this.dlch.Name = "dlch";
		this.dlch.Size = new System.Drawing.Size(80, 19);
		this.dlch.TabIndex = 0;
		this.dlch.Text = "Download";
		this.dlch.UseVisualStyleBackColor = true;
		this.Popups.Controls.Add(this.longpop);
		this.Popups.Controls.Add(this.shortpop);
		this.Popups.Controls.Add(this.label1);
		this.Popups.Location = new System.Drawing.Point(6, 6);
		this.Popups.Name = "Popups";
		this.Popups.Size = new System.Drawing.Size(334, 77);
		this.Popups.TabIndex = 25;
		this.longpop.AutoSize = true;
		this.longpop.Location = new System.Drawing.Point(12, 43);
		this.longpop.Name = "longpop";
		this.longpop.Size = new System.Drawing.Size(185, 19);
		this.longpop.TabIndex = 2;
		this.longpop.TabStop = true;
		this.longpop.Text = "Long popups (1min - 10 mins)";
		this.longpop.UseVisualStyleBackColor = true;
		this.shortpop.AutoSize = true;
		this.shortpop.Location = new System.Drawing.Point(12, 18);
		this.shortpop.Name = "shortpop";
		this.shortpop.Size = new System.Drawing.Size(174, 19);
		this.shortpop.TabIndex = 1;
		this.shortpop.TabStop = true;
		this.shortpop.Text = "Short popups (10sec - 1min)";
		this.shortpop.UseVisualStyleBackColor = true;
		this.label1.AutoSize = true;
		this.label1.Location = new System.Drawing.Point(3, 0);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(47, 15);
		this.label1.TabIndex = 0;
		this.label1.Text = "Popups";
		this.tabControl1.Controls.Add(this.tabPage1);
		this.tabControl1.Location = new System.Drawing.Point(12, 12);
		this.tabControl1.Name = "tabControl1";
		this.tabControl1.SelectedIndex = 0;
		this.tabControl1.Size = new System.Drawing.Size(693, 459);
		this.tabControl1.TabIndex = 20;
		base.AutoScaleDimensions = new System.Drawing.SizeF(7f, 15f);
		base.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
		base.ClientSize = new System.Drawing.Size(709, 509);
		base.Controls.Add(this.tabControl1);
		base.Controls.Add(this.SvExit);
		base.Name = "Options";
		this.Text = "Options";
		base.Load += new System.EventHandler(Options_Load);
		this.tabPage1.ResumeLayout(false);
		this.panel10.ResumeLayout(false);
		this.panel10.PerformLayout();
		this.panel6.ResumeLayout(false);
		this.panel6.PerformLayout();
		this.panel5.ResumeLayout(false);
		this.panel5.PerformLayout();
		this.panel11.ResumeLayout(false);
		this.panel11.PerformLayout();
		this.panel4.ResumeLayout(false);
		this.panel4.PerformLayout();
		this.panel3.ResumeLayout(false);
		this.panel3.PerformLayout();
		this.panel2.ResumeLayout(false);
		this.panel2.PerformLayout();
		this.panel1.ResumeLayout(false);
		this.panel1.PerformLayout();
		this.Popups.ResumeLayout(false);
		this.Popups.PerformLayout();
		this.tabControl1.ResumeLayout(false);
		base.ResumeLayout(false);
	}
}
